# Tokens

#### Endpoints

<table><thead><tr><th width="122">Method</th><th width="368">URL</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>GET</strong></mark></td><td><kbd>/v1/tokens/issue</kbd></td><td>issue a token</td></tr><tr><td><mark style="color:blue;"><strong>GET</strong></mark></td><td><kbd>/v1/tokens/token_metadata</kbd></td><td>get token metadata</td></tr><tr><td><mark style="color:green;"><strong>POST</strong></mark></td><td><kbd>/v1/tokens/update_metadata</kbd></td><td>update token metadata</td></tr><tr><td><mark style="color:green;"><strong>POST</strong></mark></td><td><kbd>/v1/tokens/grant_authority</kbd></td><td>grant authority</td></tr><tr><td><mark style="color:green;"><strong>POST</strong></mark></td><td><kbd>/v1/tokens/mint</kbd></td><td>mint token</td></tr><tr><td><mark style="color:green;"><strong>POST</strong></mark></td><td><kbd>/v1/tokens/burn</kbd></td><td>burn token</td></tr><tr><td><mark style="color:green;"><strong>POST</strong></mark></td><td><kbd>/v1/tokens/blacklist</kbd></td><td>blacklist address for token </td></tr><tr><td><mark style="color:green;"><strong>POST</strong></mark></td><td><kbd>/v1/tokens/whitelist</kbd></td><td>whitelist address for token</td></tr><tr><td><mark style="color:green;"><strong>POST</strong></mark></td><td><kbd>/v1/tokens/pause</kbd></td><td>pause/unpause all activities</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.1moneynetwork.com/integrations/rest-apis/tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
